#include "csapp.h"

int main() {
  pid_t pid;

  sigset_t sigs;
  Sigemptyset(&sigs);
  Sigaddset(&sigs, SIGINT);
  Sigprocmask(SIG_BLOCK, &sigs, NULL);

  pid = Fork();
  if (pid == 0) {
    kill(getppid(), SIGINT);
    printf("c\n");
    return 0;
  }

  Sigprocmask(SIG_UNBLOCK, &sigs, NULL);

  kill(pid, SIGINT);
  printf("p\n");

  return 0;
}
